edu.sc.seis.sod.process.waveform

## Class EmbeddedEventStationProcessor

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.EmbeddedEventStationProcessor

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter

      public class EmbeddedEventStationProcessor
      extends java.lang.Object
      implements WaveformProcess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedEventStationProcessor(org.w3c.dom.Element config)`
    `EmbeddedEventStationProcessor(EventStationSubsetter eventStation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmbeddedEventStationProcessor

          public EmbeddedEventStationProcessor(EventStationSubsetter eventStation)

    - #### EmbeddedEventStationProcessor

          public EmbeddedEventStationProcessor(org.w3c.dom.Element config)
                                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`